Page MenuHomePhabricator

Gerrit: Schedule downtime to migrate all users username to lowercase
Closed, ResolvedPublic

Description

We need to schedule downtime for T152640 (Migrate users username to lowercase)

This will allow users to login either as for example Example and example.

This will finally resolve T152640 too.

Event Timeline

Paladox created this task.Jan 19 2017, 7:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 19 2017, 7:13 PM

Im not sure if this is a DBA task?

demon claimed this task.Jan 19 2017, 7:14 PM
demon edited projects, added Release-Engineering-Team; removed Operations.

Not a DBA or Ops task, just me :)

Change 326150 had a related patch set uploaded (by Paladox):
Gerrit: Enable config localUsernameToLowerCase

https://gerrit.wikimedia.org/r/326150

I know.

Oh sorry, when you changed the task, i was still on the old one so didn't realise you changed it to you.

demon moved this task from Bugs & stuff to Local hacks on the Gerrit board.Feb 7 2017, 8:03 PM

Change 326150 merged by Dzahn:
[operations/puppet] Gerrit: Enable config localUsernameToLowerCase

https://gerrit.wikimedia.org/r/326150

demon closed this task as Resolved.Mar 7 2017, 12:52 AM

Downtime was today